Backport packages for 18.04.3 HWE stack

Bug #1824111 reported by Timo Aaltonen on 2019-04-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
Critical
Unassigned
libclc (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
libdrm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
llvm-toolchain-8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xorg-server-hwe-18.04 (Ubuntu)
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu)
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-ati-hwe-18.04 (Ubuntu)
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu)
Bionic
Undecided
Timo Aaltonen

Bug Description

[Impact]

These are needed for 18.04.3 images.

[Test case]

Boot a daily image, see that it still has the necessary stack installed and working.

Check upgrade from stock bionic.

[Regression potential]

libdrm: very minimal chance for regressions

llvm-8: a new package, no regression potential on it's own

libclc: more or less just adds support for new llvm

mesa: a new major release, but we'll pull the final stable release of 19.0.x series, so there shouldn't be any regressions left at that point

xserver: a new minor release

xorg drivers: modest updates, mainly just new ati/amdgpu

[Other info]

Timo Aaltonen (tjaalton) on 2019-05-02
Changed in libclc (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in libclc (Ubuntu):
status: New → Invalid
Changed in libdrm (Ubuntu):
status: New → Invalid
Changed in llvm-toolchain-8 (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in xorg-server-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in llvm-toolchain-8 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in libdrm (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)

Hello Timo, or anyone else affected,

Accepted llvm-toolchain-8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/llvm-toolchain-8/1:8-3~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in llvm-toolchain-8 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libdrm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.97-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libdrm (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libclc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20190306-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libclc (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/19.0.2-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed
Boaz Dodin (bdcomp) wrote :

I would suggest to ship at least Mesa 19.0.4, because of the bug https://bugs.freedesktop.org/show_bug.cgi?id=110355 in some popular programs.

Timo Aaltonen (tjaalton) wrote :

we'll get the last update of 19.0.x series eventually

Timo Aaltonen (tjaalton) on 2019-05-29
Changed in xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xorg-server-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-hwe-18.04/2:1.20.4-1ubuntu3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Changed in xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in oem-priority:
importance: Undecided → Critical
status: New → Confirmed
no longer affects: xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu)
no longer affects: xserver-xorg-video-ati-hwe-18.04 (Ubuntu)
no longer affects: xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu)
no longer affects: xorg-server-hwe-18.04 (Ubuntu)
Timo Aaltonen (tjaalton) wrote :

Boaz, I've filed bug 1831498 for tracking the radeon bug, though I'm a bit surprised no-one has filed this issue before now. Anyway, please test the update once it's available.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-amdgpu-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu-hwe-18.04/19.0.1-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-ati-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-ati-hwe-18.04/1:19.0.1-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-nouveau-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau-hwe-18.04/1:1.0.16-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/19.0.2-1ubuntu1.1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

tested on a Dell hybrid gfx laptop with Intel Skylake + AMD HAINAN, and everything seems fine. Tested glxgears, glmark2 on both GPU's

I noticed that the daily image doesn't use HWE X stack, so this was tested on a bionic install

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Brian Murray (brian-murray) wrote :

The mesa upload has created a fair number of autopkgtest regressions. What is the status of those?

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Incomplete
Timo Aaltonen (tjaalton) wrote :

Majority of them were due to "Could not connect to ftpmaster.internal:80" around Jun 6th, and openjdk8 tests have never passed AIUI.

Timo Aaltonen (tjaalton) wrote :

autopkgtests cleared

Changed in mesa (Ubuntu Bionic):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-8 - 1:8-3~ubuntu18.04.1

---------------
llvm-toolchain-8 (1:8-3~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 10 Apr 2019 11:46:43 +0300

Changed in llvm-toolchain-8 (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for llvm-toolchain-8 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.97-1ubuntu1~18.04.1

---------------
libdrm (2.4.97-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 10 Apr 2019 13:54:06 +0300

Changed in libdrm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20190306-1~ubuntu18.04.1

---------------
libclc (0.2.0+git20190306-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 10 Apr 2019 13:52:07 +0300

Changed in libclc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-hwe-18.04 - 2:1.20.4-1ubuntu3~18.04.1

---------------
xorg-server-hwe-18.04 (2:1.20.4-1ubuntu3~18.04.1) bionic; urgency=medium

  * Backport for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Thu, 02 May 2019 11:06:54 +0300

Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-nouveau-hwe-18.04 - 1:1.0.16-1~18.04.1

---------------
xserver-xorg-video-nouveau-hwe-18.04 (1:1.0.16-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 29 May 2019 13:19:20 +0300

Changed in xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati-hwe-18.04 - 1:19.0.1-0ubuntu1~18.04.1

---------------
xserver-xorg-video-ati-hwe-18.04 (1:19.0.1-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 29 May 2019 13:19:14 +0300

Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-amdgpu-hwe-18.04 - 19.0.1-1~18.04.1

---------------
xserver-xorg-video-amdgpu-hwe-18.04 (19.0.1-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 29 May 2019 13:19:12 +0300

Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.0.2-1ubuntu1.1~18.04.1

---------------
mesa (19.0.2-1ubuntu1.1~18.04.1) bionic; urgency=medium

  * Backport to bionic.

mesa (19.0.2-1ubuntu1.1) disco; urgency=medium

  * radeon-rework-gfx9-scissor-workaround.diff: Fix invisible elements
    with GTK on Vega/Raven. (LP: #1831498)

mesa (19.0.2-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)
  * control: Build-depend on libsensors4-dev.

 -- Timo Aaltonen <email address hidden> Tue, 04 Jun 2019 00:10:13 +0300

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mesa (Ubuntu):
status: Invalid → Fix Released
Changed in llvm-toolchain-8 (Ubuntu):
status: Invalid → Fix Released
Changed in libdrm (Ubuntu):
status: Invalid → Fix Released
Changed in libclc (Ubuntu):
status: Invalid → Fix Released
Changed in oem-priority:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.